#pragma once

#include "CoreMinimal.h"
#include "Animation/AnimNotifies/AnimNotifyState.h"
#include "AnimNotifyAttachStaticMeshInfo.h"
#include "AnimNotifyState_AttachStaticMeshes.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UAnimNotifyState_AttachStaticMeshes : public UAnimNotifyState
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FAnimNotifyAttachStaticMeshInfo> StaticMeshesToAttach;

public:
	UAnimNotifyState_AttachStaticMeshes();
};

FORCEINLINE uint32 GetTypeHash(const UAnimNotifyState_AttachStaticMeshes) { return 0; }
